Linux Kernel Prior to 2.6.24.2 'vmsplice_to_pipe()' Local Privilege Escalation Vulnerability

Solution:
Linux Kernel 2.6.24.2 addresses this issue. Please see the references for more information.


Linux kernel 2.6.20.2

Linux kernel 2.6.21-RC3

Linux kernel 2.6.23.14

Linux kernel 2.6.20-rc2

Linux kernel 2.6.22-rc1

Linux kernel 2.6.20-2

Linux kernel 2.6.21-RC4

Linux kernel 2.6.20.3

Linux kernel 2.6.23.09

Linux kernel 2.6.24-rc1

Linux kernel 2.6.21-RC6

Linux kernel 2.6.20.11

Linux kernel 2.6.23.1

Linux kernel 2.6.17

Linux kernel 2.6.17 .5

Linux kernel 2.6.17 .1

Linux kernel 2.6.17 .7

Linux kernel 2.6.17 .13

Linux kernel 2.6.17 .10

Linux kernel 2.6.17 .9

Linux kernel 2.6.17 -rc5

Linux kernel 2.6.17 .14

Linux kernel 2.6.18 .3

Linux kernel 2.6.19 -rc2

Linux kernel 2.6.19

Linux kernel 2.6.19 -rc3

Linux kernel 2.6.20 .15

Linux kernel 2.6.20 .4

Linux kernel 2.6.20

Linux kernel 2.6.20 .8

Linux kernel 2.6.20 .1

Linux kernel 2.6.21 -git8

Linux kernel 2.6.21 .7

Linux kernel 2.6.21 4

Linux kernel 2.6.21 .3

Linux kernel 2.6.21 .2

Linux kernel 2.6.22 .17

Linux kernel 2.6.22 .4

Linux kernel 2.6.22 .6

Linux kernel 2.6.22 .15

Linux kernel 2.6.22 .1

Linux kernel 2.6.22 .11

Linux kernel 2.6.22 .16

Linux kernel 2.6.22 .12

Linux kernel 2.6.22 .8

Linux kernel 2.6.23 -rc1

Linux kernel 2.6.23 .7

Linux kernel 2.6.23 -rc2

Linux kernel 2.6.23 .4

Linux kernel 2.6.23 .5

Linux kernel 2.6.23

Linux kernel 2.6.24 -rc3

Linux kernel 2.6.24 -rc5

Linux kernel 2.6.24 .1


 

Privacy Statement
Copyright 2010, SecurityFocus